<!DOCTYPE html>
<html ng-app="ifome">
<head>
    <title>iFood online</title>
    <meta charset="utf-8">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link type="text/css" rel="stylesheet" href="materialize/css/materialize.min.css"  media="screen,projection"/>
    <link rel="stylesheet" href="css/index.css">
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
<body class="grey lighten-2">
    <div class="red lighten-1 mt-10 p16">
        <img class="logo-ifome" alt="Logo ifome" src="logo-ifome.png">
    </div>

    <div class="grey lighten-5">
        <a class="waves-effect waves-light btn red lighten-1 m-10" href="listar-pedidos.html"><i class="material-icons left">list</i>Listar pedidos</a>
        <a class="waves-effect waves-light btn red lighten-1 m-10" href="adicionar-produto.html">Cadastrar produto</a>
    </div>

    <div class="row padding-card m10" ng-controller="ListarCtrl">
        <div class="col s12 m12">
            <div class="card white padding-card" ng-if="progresso">
                <p class="center-align">Salvando pedido ...</p>
                <div class="progress">
                    <div class="indeterminate"></div>
                </div>
            </div>
            <div class="card white darken-1">
                <div class="card-content white-text">
                    <table class="bordered">
                        <thead id="tabela-faculdade">
                        <tr class="red lighten-1">
                            <th width="10">Selecionar</th>
                            <th>Nome</th>
                            <th>Loja</th>
                            <th width="100">Preço</th>
                            <th width="100" class="center-align">Opções</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr ng-if="listResult.length == 0">
                           <td colspan="5" class="center-align"><b>Não há produtos cadastrados.</b></td>
                        </tr>
                        <tr ng-if="listResult.length > 0" ng-repeat="item in listResult" ng-class="{'grey lighten-2': item.adicionar}">
                            <td style="text-align: center">
                                <input id="check-adiciona" type="checkbox" ng-model="item.adicionar" ng-change="montaPedido(item.id)" style="position: relative; opacity: 1; pointer-events: all;">
                            </td>
                            <td>{{item.nome}}</td>
                            <td>{{item.loja}}</td>
                            <td>{{item.preco | currency:"R$"}}</td>
                            <td class="center-align">
                                <a class="btn-floating tooltipped" data-position="bottom" data-delay="30" data-tooltip="Excluir produto" ng-click="excluirProduto(item.id)"><i class="material-icons">remove_shopping_cart</i></a>
                            </td>
                        </tr>
                        </tbody>
                        <tfoot class="grey lighten-1 tfoot-pedidos">
                        <tr class="tfoot-total">
                            <td colspan="3" class="right-align">Total:</td>
                            <td class="id_total">{{total.toFixed(2) | currency:"R$"}}</td>
                            <td></td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
                <div class="row p16 right-align">
                    <a class="waves-effect red lighten-1 btn" ng-disabled="btnSalvar" id="btn-concluir-pedido" ng-click="salvarPedidoFeito(); Materialize.toast('Pedido realizado com sucesso!', 4000)">Concluir pedido</a>
                </div>
            </div>
        </div>
    </div>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.6/angular.min.js"></script>
<script src="//unpkg.com/@uirouter/angularjs/release/angular-ui-router.min.js"></script>
<script type="text/javascript" src="js/main.js"></script>
<script type="text/javascript" src="js/lib/angular-resource.min.js"></script>
<script type="text/javascript" src="js/services/servico.js"></script>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="materialize/js/materialize.min.js"></script>
<script type="text/javascript" src="js/controller/listar.controller.js"></script>
</body>
</html>